[arch-commits] Commit in python-pyfix/repos (2 files)

Felix Yan felixonmars at archlinux.org
Sun Oct 27 07:21:28 UTC 2019


    Date: Sunday, October 27, 2019 @ 07:21:27
  Author: felixonmars
Revision: 520723

archrelease: copy trunk to community-staging-any

Added:
  python-pyfix/repos/community-staging-any/
  python-pyfix/repos/community-staging-any/PKGBUILD
    (from rev 520722, python-pyfix/trunk/PKGBUILD)

----------+
 PKGBUILD |   39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

Copied: python-pyfix/repos/community-staging-any/PKGBUILD (from rev 520722, python-pyfix/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2019-10-27 07:21:27 UTC (rev 520723)
@@ -0,0 +1,39 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Thomas S Hatch <thatch45 at gmail.com>
+
+pkgname=python-pyfix
+pkgver=0.2.3
+_commit=403d51f426dda6a907c96d8d9d2e2942999b1f23
+pkgrel=6
+pkgdesc='A framework for writing automated software tests'
+arch=('any')
+url='https://github.com/pyclectic/pyfix'
+license=('Apache')
+depends=('python-pyassert')
+makedepends=('python-pybuilder' 'python-pyassert' 'python-coverage' 'python-mockito'
+             'python-unittest-xml-reporting' 'pychecker')
+source=("$pkgname-$_commit.tar.gz::https://github.com/pyclectic/pyfix/archive/$_commit.tar.gz")
+sha512sums=('879315ad2ce6a3697cee1ea366202ed43c140652938a31e1de1bbf276f9bc3304396152c7d1bc73a06b0b523d97a164ad76625a5131d9b8161deb7c011cd4b1b')
+
+prepare() {
+  # Pybuilder uses directory name to determine distribution name
+  mv pyfix-$_commit pyfix
+
+  # BUILD FAILED - Missing plugin dependency 'pychecker':
+  #   pip._internal.exceptions.DistributionNotFound:
+  #     No matching distribution found for pychecker
+  sed -i '/use_plugin("python.pychecker")/d' pyfix/build.py
+}
+
+check() {
+  cd pyfix
+  pyb -v analyze || warning "broken tests"
+}
+
+package() {
+  cd pyfix
+  pyb -v -o package
+  cd target/dist/pyfix-$pkgver
+  python setup.py install --root="$pkgdir" -O1
+}



More information about the arch-commits mailing list